## org.eclipse.m2m.atl.engine.compiler
Class AtlCompiler

    java.lang.Object
      org.eclipse.m2m.atl.engine.compiler.AtlCompiler

    public final class AtlCompiler

extends java.lang.Object

The ATL compiler.

Field Summary
`static java.lang.String` `DEFAULT_COMPILER_NAME` The default ATL compiler.

Method Summary
`static org.eclipse.emf.ecore.EObject[]` `compile(java.io.InputStream in, org.eclipse.core.resources.IFile out)` Performs compilation.
`static org.eclipse.emf.ecore.EObject[]` `compile(java.io.InputStream in, java.io.OutputStream outputStream)` Standalone compilation, to an outputStream.
`static org.eclipse.emf.ecore.EObject[]` `compile(java.io.InputStream in, java.lang.String outputFileName)` Standalone compilation.
`static AtlStandaloneCompiler` `getCompiler(java.lang.String compilerName)` Searches for the correct implementation of `AtlStandaloneCompiler` which is independent of Eclipse platform stuff like IFile, IResource, etc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COMPILER_NAME

    public static final java.lang.String DEFAULT_COMPILER_NAME

  The default ATL compiler.

  See Also:
    Constant Field Values

Method Detail

### getCompiler

    public static AtlStandaloneCompiler getCompiler(java.lang.String compilerName)

  Searches for the correct implementation of `AtlStandaloneCompiler` which is independent of Eclipse platform stuff like IFile, IResource, etc.

  Parameters:
    `compilerName` - name of the compiler to search for
  Returns:
    the compiler which was found

### compile

    public static org.eclipse.emf.ecore.EObject[] compile(java.io.InputStream in,
                                                          org.eclipse.core.resources.IFile out)
                                                   throws java.io.IOException

  Performs compilation.

  Parameters:
    `in` - The InputStream to get atl source from.
    `out` - The IFile to which the ATL compiled program will be saved.
  Returns:
    the problems which occured during compilation
  Throws:
    `java.io.IOException`

### compile

    public static org.eclipse.emf.ecore.EObject[] compile(java.io.InputStream in,
                                                          java.lang.String outputFileName)
                                                   throws java.io.IOException

  Standalone compilation.

  Parameters:
    `in` - The InputStream to get atl source from.
    `outputFileName` - The output file name
  Returns:
    the problems which occurred during compilation
  Throws:
    `java.io.IOException`

### compile

    public static org.eclipse.emf.ecore.EObject[] compile(java.io.InputStream in,
                                                          java.io.OutputStream outputStream)
                                                   throws java.io.IOException

  Standalone compilation, to an outputStream.

  Parameters:
    `in` - The InputStream to get atl source from.
    `outputStream` - The output file name
  Returns:
    the problems which occurred during compilation
  Throws:
    `java.io.IOException`

Copyright 2007 IBM Corporation and others. All Rights Reserved.